## rust-opendal 0.54.0

=== debian/changelog ===
rust-opendal (0.54.0-4) unstable; urgency=medium

  * Team upload.
  * Package opendal 0.54.0 from crates.io using debcargo 2.7.11
  * Remove Build-Depends: architecture-is-64-bit
  * Remove dependencies on openssh and openssh-sftp-client crates.
    the only feature that uses them is already patched out due to the
    lack of the bb8 crate, and openssh-sftp-client is not currently
    available on all release architectures (Closes: #1118509).

 -- Peter Michael Green <plugwash@debian.org>  Tue, 21 Oct 2025 15:02:28 +0000

rust-opendal (0.54.0-3) unstable; urgency=medium

  * Team upload
  * Package opendal 0.54.0 from crates.io using debcargo 2.7.10
  * Add Build-Depends: architecture-is-64-bit to follow rust-openssh-sftp-client

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Sep 2025 14:27:44 -0400

rust-opendal (0.54.0-2) unstable; urgency=medium

  * Team upload.
  * Package opendal 0.54.0 from crates.io using debcargo 2.7.8
  * Drop patch rustls-native-certs-0.6.diff

 -- Peter Michael Green <plugwash@debian.org>  Tue, 16 Sep 2025 03:34:27 +0000

rust-opendal (0.54.0-1) unstable; urgency=medium

  * Team upload.
  * Package opendal 0.54.0 from crates.io using debcargo 2.7.8
    + New upstream switches from async-tls to futures-rustls (Closes: #1110553)
  * Drop patches related to dependencies that no-longer exist.
  * Update patches for new upstream.
  * Remove dev-dependency on divan
  * Revert upstream upgrade to quick-xml 0.37.
  * Patch out fastmetrics dependency and layers-fastmetrics feature
  * Explicitly specify ring backend for futures-rustls dependency
  * Allow rustls-native-certs 0.6

 -- Peter Michael Green <plugwash@debian.org>  Mon, 11 Aug 2025 01:08:54 +0000
