=== debian/control ===
Source: rust-opendal
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.82) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-anyhow-1+std-dev (>= 1.0.30-~~) <!nocheck>,
 librust-backon-1+default-dev (>= 1.2-~~) <!nocheck>,
 librust-backon-1+tokio-sleep-dev (>= 1.2-~~) <!nocheck>,
 librust-base64-0.22+default-dev <!nocheck>,
 librust-bytes-1+default-dev (>= 1.6-~~) <!nocheck>,
 librust-chrono-0.4+clock-dev (>= 0.4.28-~~) <!nocheck>,
 librust-chrono-0.4+std-dev (>= 0.4.28-~~) <!nocheck>,
 librust-futures-0.3+async-await-dev <!nocheck>,
 librust-futures-0.3+std-dev <!nocheck>,
 librust-http-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-http-body-1+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-md-5-0.10+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-portable-atomic-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-quick-xml-0.36+default-dev <!nocheck>,
 librust-quick-xml-0.36+overlapped-lists-dev <!nocheck>,
 librust-quick-xml-0.36+serialize-dev <!nocheck>,
 librust-reqwest-0.12+rustls-tls-dev (>= 0.12.8-~~) <!nocheck>,
 librust-reqwest-0.12+stream-dev (>= 0.12.8-~~) <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-tokio-1+default-dev (>= 1.46-~~) <!nocheck>,
 librust-tokio-1+io-util-dev (>= 1.46-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.46-~~) <!nocheck>,
 librust-tokio-1+sync-dev (>= 1.46-~~) <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>,
 librust-uuid-1+serde-dev <!nocheck>,
 librust-uuid-1+v4-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/opendal]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/opendal
Homepage: https://opendal.apache.org/
X-Cargo-Crate: opendal

Package: librust-opendal-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.30-~~),
 librust-anyhow-1+std-dev (>= 1.0.30-~~),
 librust-backon-1+default-dev (>= 1.2-~~),
 librust-backon-1+tokio-sleep-dev (>= 1.2-~~),
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev (>= 1.6-~~),
 librust-cacache-13+mmap-dev,
 librust-cacache-13+tokio-runtime-dev,
 librust-chrono-0.4+clock-dev (>= 0.4.28-~~),
 librust-chrono-0.4+std-dev (>= 0.4.28-~~),
 librust-crc32c-0.6+default-dev (>= 0.6.6-~~),
 librust-dashmap-6+default-dev,
 librust-dotenvy-0.15+default-dev,
 librust-flume-0.11+default-dev,
 librust-futures-0.3+async-await-dev,
 librust-futures-0.3+std-dev,
 librust-futures-rustls-0.26+logging-dev,
 librust-futures-rustls-0.26+ring-dev,
 librust-futures-rustls-0.26+tls12-dev,
 librust-hmac-0.12+default-dev (>= 0.12.1-~~),
 librust-http-1+default-dev (>= 1.1-~~),
 librust-http-body-1+default-dev,
 librust-js-sys-0.3+default-dev (>= 0.3.77-~~),
 librust-log-0.4+default-dev,
 librust-md-5-0.10+default-dev,
 librust-mime-guess-2+default-dev (>= 2.0.5-~~),
 librust-ouroboros+default-dev (<< 0.19-~~),
 librust-ouroboros+default-dev (>= 0.15.6-~~),
 librust-percent-encoding-2+default-dev,
 librust-portable-atomic-1+default-dev (>= 1.4-~~),
 librust-prometheus-0.13+default-dev,
 librust-prometheus-0.13+process-dev,
 librust-prometheus-client+default-dev (<< 0.24-~~),
 librust-prometheus-client+default-dev (>= 0.22.2-~~),
 librust-prost+default-dev (<< 0.14-~~),
 librust-prost+default-dev (>= 0.12.6-~~),
 librust-quick-xml-0.36+default-dev,
 librust-quick-xml-0.36+overlapped-lists-dev,
 librust-quick-xml-0.36+serialize-dev,
 librust-rand-0.8+default-dev,
 librust-reqsign-0.16+reqwest-request-dev (>= 0.16.3-~~),
 librust-reqsign-0.16+services-aliyun-dev (>= 0.16.3-~~),
 librust-reqsign-0.16+services-aws-dev (>= 0.16.3-~~),
 librust-reqsign-0.16+services-azblob-dev (>= 0.16.3-~~),
 librust-reqsign-0.16+services-google-dev (>= 0.16.3-~~),
 librust-reqsign-0.16+services-huaweicloud-dev (>= 0.16.3-~~),
 librust-reqsign-0.16+services-tencent-dev (>= 0.16.3-~~),
 librust-reqsign-0.16-dev (>= 0.16.3-~~),
 librust-reqwest-0.12+rustls-tls-dev (>= 0.12.8-~~),
 librust-reqwest-0.12+stream-dev (>= 0.12.8-~~),
 librust-rocksdb-0.23-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha1-0.10+default-dev (>= 0.10.6-~~),
 librust-sha2-0.10+default-dev,
 librust-sqlx-0.8+default-dev,
 librust-sqlx-0.8+mysql-dev,
 librust-sqlx-0.8+postgres-dev,
 librust-sqlx-0.8+runtime-tokio-rustls-dev,
 librust-sqlx-0.8+sqlite-dev,
 librust-tokio-1+default-dev (>= 1.46-~~),
 librust-tokio-1+fs-dev (>= 1.46-~~),
 librust-tokio-1+io-util-dev (>= 1.46-~~),
 librust-tokio-1+rt-dev (>= 1.46-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.46-~~),
 librust-tokio-1+sync-dev (>= 1.46-~~),
 librust-tracing-0.1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev,
 librust-wasm-bindgen-0.2+default-dev (>= 0.2.100-~~),
 librust-wasm-bindgen-futures-0.4+default-dev (>= 0.4.50-~~),
 librust-web-sys-0.3+default-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+file-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+filesystemdirectoryhandle-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+filesystemfilehandle-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+filesystemgetfileoptions-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+filesystemwritablefilestream-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+navigator-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+storagemanager-dev (>= 0.3.77-~~),
 librust-web-sys-0.3+window-dev (>= 0.3.77-~~)
Provides:
 librust-opendal+blocking-dev (= ${binary:Version}),
 librust-opendal+default-dev (= ${binary:Version}),
 librust-opendal+executors-tokio-dev (= ${binary:Version}),
 librust-opendal+flume-dev (= ${binary:Version}),
 librust-opendal+futures-rustls-dev (= ${binary:Version}),
 librust-opendal+internal-tokio-rt-dev (= ${binary:Version}),
 librust-opendal+layers-chaos-dev (= ${binary:Version}),
 librust-opendal+layers-mime-guess-dev (= ${binary:Version}),
 librust-opendal+layers-prometheus-dev (= ${binary:Version}),
 librust-opendal+layers-prometheus-client-dev (= ${binary:Version}),
 librust-opendal+layers-tracing-dev (= ${binary:Version}),
 librust-opendal+rustls-native-certs-dev (= ${binary:Version}),
 librust-opendal+services-aliyun-drive-dev (= ${binary:Version}),
 librust-opendal+services-alluxio-dev (= ${binary:Version}),
 librust-opendal+services-azblob-dev (= ${binary:Version}),
 librust-opendal+services-azdls-dev (= ${binary:Version}),
 librust-opendal+services-azfile-dev (= ${binary:Version}),
 librust-opendal+services-b2-dev (= ${binary:Version}),
 librust-opendal+services-cacache-dev (= ${binary:Version}),
 librust-opendal+services-cloudflare-kv-dev (= ${binary:Version}),
 librust-opendal+services-cos-dev (= ${binary:Version}),
 librust-opendal+services-d1-dev (= ${binary:Version}),
 librust-opendal+services-dashmap-dev (= ${binary:Version}),
 librust-opendal+services-dbfs-dev (= ${binary:Version}),
 librust-opendal+services-dropbox-dev (= ${binary:Version}),
 librust-opendal+services-fs-dev (= ${binary:Version}),
 librust-opendal+services-gcs-dev (= ${binary:Version}),
 librust-opendal+services-github-dev (= ${binary:Version}),
 librust-opendal+services-http-dev (= ${binary:Version}),
 librust-opendal+services-huggingface-dev (= ${binary:Version}),
 librust-opendal+services-ipfs-dev (= ${binary:Version}),
 librust-opendal+services-ipmfs-dev (= ${binary:Version}),
 librust-opendal+services-koofr-dev (= ${binary:Version}),
 librust-opendal+services-lakefs-dev (= ${binary:Version}),
 librust-opendal+services-memory-dev (= ${binary:Version}),
 librust-opendal+services-mysql-dev (= ${binary:Version}),
 librust-opendal+services-obs-dev (= ${binary:Version}),
 librust-opendal+services-onedrive-dev (= ${binary:Version}),
 librust-opendal+services-opfs-dev (= ${binary:Version}),
 librust-opendal+services-oss-dev (= ${binary:Version}),
 librust-opendal+services-pcloud-dev (= ${binary:Version}),
 librust-opendal+services-postgresql-dev (= ${binary:Version}),
 librust-opendal+services-rocksdb-dev (= ${binary:Version}),
 librust-opendal+services-s3-dev (= ${binary:Version}),
 librust-opendal+services-seafile-dev (= ${binary:Version}),
 librust-opendal+services-sqlite-dev (= ${binary:Version}),
 librust-opendal+services-swift-dev (= ${binary:Version}),
 librust-opendal+services-upyun-dev (= ${binary:Version}),
 librust-opendal+services-vercel-artifacts-dev (= ${binary:Version}),
 librust-opendal+services-vercel-blob-dev (= ${binary:Version}),
 librust-opendal+services-webdav-dev (= ${binary:Version}),
 librust-opendal+services-webhdfs-dev (= ${binary:Version}),
 librust-opendal+services-yandex-disk-dev (= ${binary:Version}),
 librust-opendal+tests-dev (= ${binary:Version}),
 librust-opendal-0-dev (= ${binary:Version}),
 librust-opendal-0+blocking-dev (= ${binary:Version}),
 librust-opendal-0+default-dev (= ${binary:Version}),
 librust-opendal-0+executors-tokio-dev (= ${binary:Version}),
 librust-opendal-0+flume-dev (= ${binary:Version}),
 librust-opendal-0+futures-rustls-dev (= ${binary:Version}),
 librust-opendal-0+internal-tokio-rt-dev (= ${binary:Version}),
 librust-opendal-0+layers-chaos-dev (= ${binary:Version}),
 librust-opendal-0+layers-mime-guess-dev (= ${binary:Version}),
 librust-opendal-0+layers-prometheus-dev (= ${binary:Version}),
 librust-opendal-0+layers-prometheus-client-dev (= ${binary:Version}),
 librust-opendal-0+layers-tracing-dev (= ${binary:Version}),
 librust-opendal-0+rustls-native-certs-dev (= ${binary:Version}),
 librust-opendal-0+services-aliyun-drive-dev (= ${binary:Version}),
 librust-opendal-0+services-alluxio-dev (= ${binary:Version}),
 librust-opendal-0+services-azblob-dev (= ${binary:Version}),
 librust-opendal-0+services-azdls-dev (= ${binary:Version}),
 librust-opendal-0+services-azfile-dev (= ${binary:Version}),
 librust-opendal-0+services-b2-dev (= ${binary:Version}),
 librust-opendal-0+services-cacache-dev (= ${binary:Version}),
 librust-opendal-0+services-cloudflare-kv-dev (= ${binary:Version}),
 librust-opendal-0+services-cos-dev (= ${binary:Version}),
 librust-opendal-0+services-d1-dev (= ${binary:Version}),
 librust-opendal-0+services-dashmap-dev (= ${binary:Version}),
 librust-opendal-0+services-dbfs-dev (= ${binary:Version}),
 librust-opendal-0+services-dropbox-dev (= ${binary:Version}),
 librust-opendal-0+services-fs-dev (= ${binary:Version}),
 librust-opendal-0+services-gcs-dev (= ${binary:Version}),
 librust-opendal-0+services-github-dev (= ${binary:Version}),
 librust-opendal-0+services-http-dev (= ${binary:Version}),
 librust-opendal-0+services-huggingface-dev (= ${binary:Version}),
 librust-opendal-0+services-ipfs-dev (= ${binary:Version}),
 librust-opendal-0+services-ipmfs-dev (= ${binary:Version}),
 librust-opendal-0+services-koofr-dev (= ${binary:Version}),
 librust-opendal-0+services-lakefs-dev (= ${binary:Version}),
 librust-opendal-0+services-memory-dev (= ${binary:Version}),
 librust-opendal-0+services-mysql-dev (= ${binary:Version}),
 librust-opendal-0+services-obs-dev (= ${binary:Version}),
 librust-opendal-0+services-onedrive-dev (= ${binary:Version}),
 librust-opendal-0+services-opfs-dev (= ${binary:Version}),
 librust-opendal-0+services-oss-dev (= ${binary:Version}),
 librust-opendal-0+services-pcloud-dev (= ${binary:Version}),
 librust-opendal-0+services-postgresql-dev (= ${binary:Version}),
 librust-opendal-0+services-rocksdb-dev (= ${binary:Version}),
 librust-opendal-0+services-s3-dev (= ${binary:Version}),
 librust-opendal-0+services-seafile-dev (= ${binary:Version}),
 librust-opendal-0+services-sqlite-dev (= ${binary:Version}),
